#!/bin/bash

valtozo=almakortebarack

# ${#var} segítségével kiírathatjuk a karaktersorotar hosszát
valtozo=almakortebarack
echo ${#valtozo}

# ${var%PATTERN} eltávolítja a legrövidebb mintát a végéről
valtozo=Toronto
valtozo=${valtozo%to}
echo $valtozo
printf "%s\n" ${valtozo%o*}

# ${var%%PATTERN} eltávolítja a leghosszabb mintát a végéről
valtozo=Toronto
valtozo=${valtozo%%o*}
echo $valtozo

# ${var#PATTERN} eltávolítja a legrövidebb mintát az elejéről
valtozo=Toronto
valtozo=${valtozo#*o}
echo $valtozo

# ${var##PATTERN} eltávolítja a legrövidebb mintát az elejéről
valtozo=Toronto
valtozo=${valtozo##*t}
echo $valtozo

# ${var//PATTERN/STRING} Kicseréli az összes PATTERN előfordulást a STRINGRE
valtozo=Toronto
valtozo=${valtozo//o/a}
echo $valtozo

# ${var:OFFSET:LENGTH} Részsztirng képzés
valtozo=Toronto
valtozo=${valtozo:3:2}
echo $valtozo

valtozo=Toronto
valtozo=${valtozo:0:2}
echo $valtozo

valtozo=Toronto
valtozo=${valtozo::4}
echo $valtozo

#BASH 4.0
# ${var^PATTERN}  "nagybetűsé" alakítja (^^ a teljes sztringet "nagybetűsé" alakítja)
#valtozo=Toronto
#valtozo=${valtozo^o}
#echo $valtozo

# ${var,PATTERN} a mintát "kisbetűsé" teszi (,, a teljes sztringet "kisbetűsé" alakítja)
#valtozo=Toronto
#valtozo=${valtozo^o}
#echo $valtozo

